FLANG

Public Types | Public Member Functions | Public Attributes | List of all members
Fortran::format::ControlEditDesc Struct Reference

## Public Types
enum | Kind { T, TL, TR, X, Slash, Colon, SS, SP, S, P, BN, BZ, RU, RD, RZ, RN, RC, RP, DC, DP, Dollar, Backslash }

## Public Member Functions
| ControlEditDesc (ControlEditDesc &&)=default
ControlEditDesc & | operator= (ControlEditDesc &&)=default
| ControlEditDesc (Kind k)
| ControlEditDesc (Kind k, std::int64_t ct)
| ControlEditDesc (std::int64_t ct, Kind k)

## Public Attributes
Kind | kind
std::int64_t | count {1}

The documentation for this struct was generated from the following file:

- include/flang/Parser/format-specification.h